#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

XFVENDOR=Debian
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
	XFVENDOR=Xubuntu
endif

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- --with-vendor-info=$(XFVENDOR) --enable-gtk-doc --enable-introspection=yes

override_dh_install:
ifneq ($(XFVENDOR),Xubuntu)
	dh_install --sourcedir=$(CURDIR) -plibxfce4ui-utils debian/vendorinfo usr/share/xfce4
endif
	dh_install -X .la

override_dh_missing:
	dh_missing --fail-missing -X .la

override_dh_makeshlibs:
	dh_makeshlibs -plibxfce4ui-2-0 -Xlibxfce4kbd-private
